Bug 60905 - Some Regular Expressions are not working in Mac OS X
Summary: Some Regular Expressions are not working in Mac OS X
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: x86 (IA32) Mac OS X (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-15 15:30 UTC by shiyuan
Modified: 2013-10-25 16:18 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description shiyuan 2013-02-15 15:30:46 UTC
In ubuntu with Libreoffice 3 I often use this two regular expressions:

To Identify opening quotation marks

"(\<|[\[\(])

To identify closing quotation marks

(\>|[,.;!?\]\)])"


However, recently I installed the latest Libreoffice 4 on my Mac. this two are stop working properly, they only find quotation marks rather than identifying the opening or closing.


on the same mac, This following expression used to work fine under the latest Libreoffice 4, but today it stops working. (to find words that has at least two capital letters together)

[:upper:][:upper:]


My Mac is on intel core duo with OS X 10.6.8
I install the latest OpenOffice and experienced the same problem.

ps
I am not sure if it is the Mac problem since my ubuntu is unfortunately broken——
Comment 1 shiyuan 2013-02-15 15:38:04 UTC
I made a video demonstration here:
http://screencast.com/t/NSKNYcHB85
Comment 2 Jorendc 2013-02-23 22:56:16 UTC
I can confirm this behavior using Mac OSX 10.8.2 and LibreOffice 3.6.5.2, 4.0.0.3 release and Version 4.1.0.0.alpha0+ (2013-02-22_00:08:57).

From which version did you upgrade?

Kind regards,
Joren
Comment 3 QA Administrators 2013-09-24 01:58:48 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 4 QA Administrators 2013-10-25 15:19:45 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Comment 5 QA Administrators 2013-10-25 16:18:39 UTC
Apologies - these were accidentally set to FIXED instead of INVALID - sorry for the noise